﻿
$ErrorActionPreference = 'Stop'; # stop on all errors
$packageName = 'classified-ads' 
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/operatornormal/classified-ads/raw/builds/Classified-ads-Win32-0.13.exe' # download url

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe' 
  url           = $url

  #MSI
  silentArgs    = "/S" 
  validExitCodes= @(0, 3010, 1641)
  registryUninstallerKey = 'classified-ads' #ensure this is the value in the registry
  checksum      = 'ae75654b5f2122eb1cafb27b51bc8a4aca364741'
  checksumType  = 'sha1' #default is md5, can also be sha1
}

Install-ChocolateyPackage @packageArgs
